P4_TERMCATCH(3)

NAME
p4_termcatch - TERMCATCH ( str-ptr str-len some-xt* -- str-ptr str-len' catch-code# )

SYNOPSIS

FCode p4_termcatch(---);

DESCRIPTION

create a catch-domain around the token to be executed. This works the same as CATCH. Additionally all terminal output of that word is being captured to the buffer being provided as an argument. The maximum length input argument is modified flagging the actual length of captured output stream as the output argument. Note that in most cases a POCKET-PAD is just not big enough, atleast many error condition notifications tend to be quite lengthy for byte counted forth strings.

      : TERMCATCH TERM-CAPTURE-ON CATCH &gt;R TERM-CAPTURE-OFF R&gt; ;

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>